#include "c2d2/chien2d2.h"

extern int fase;
extern int estadoatual;
extern unsigned int spmira;//Ponteiro do mouse

void TelaJogo() //TELA DO JOGO *PRINCIPAL*
{
	C2D2_Botao *teclas = C2D2_PegaTeclas();
    C2D2_Mouse *mouse = C2D2_PegaMouse();
	C2D2_Sincroniza(C2D2_FPS_PADRAO);
    C2D2_TrocaCorLimpezaTela(215, 215, 215);
	do
	{
        if(teclas[C2D2_ESC].pressionado)
            estadoatual=4;
		if(fase==1)
			estadoatual = 5;

		C2D2_LimpaTela();
        C2D2_DesenhaSprite(spmira, 0, mouse->x, mouse->y);
		C2D2_Sincroniza(C2D2_FPS_PADRAO);
	}
	while(estadoatual==2);
}
